Subject: Re: [PATCH 2.6.8-rc3-mm1 1/2] 8139too: Rx fifo/overflow recovery

From: Jeff Garzik <[email-masked]>
Date: Wed, 11 Aug 2004 18:56:46 -0400

Francois Romieu wrote:
> Jeff Garzik <[email-masked]> :
> [...]
> 
>>You _want_ to update those registers on every packet.  Otherwise the 
>>crappy 8139 chip breaks.
> 
> 
> The affected users noticed a clear difference when the update was in
> the no-packet branch instead of the packet processing loop. Btw the
> excerpt of the documentation outlined by Hirofumi san suggests that
> this update makes sense.
> 
> Any objection/suggestion regarding a patch which would allow the update
> in both branches ?

Both branches is fine.

You'll quickly hit the RX-error-requiring-reset condition if you don't 
update on each packet, though.

	Jeff